@font-face {
  font-family: 'DiamondGrotesk-VF';
  src: url('fonts/DiamondGrotesk-VF.ttf') format('ttf');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

html{
    scroll-behavior: smooth;
}
body{
    background-color: rgb(230, 233, 248);
    font-family: 'DiamondGrostesk-VF';
    color: rgb(83, 13, 235);
    margin: 0;
    padding: 0;

}
header{
    position: fixed;
    width: 25%;
    height: 100vh;
    background-color: rgb(230, 233, 248);
    padding: 16px;
    box-sizing: border-box;
}
#menu_principal ul{
    margin: 10px;
    padding: 0;
}

#menu_principal ul li{
    border-bottom: 1px dotted rgb(83, 13, 235);
    list-style-type:disc;
    line-height: 30px;
}

#menu_principal ul li a{
    color: rgb(27, 11, 62);
    text-decoration: none;
}

#menu_principal ul li a:hover{
    color: rgb(207, 215, 255);
}
main{
    width: 75%;
    background-color: rgb(207, 215, 255);
    margin-left: 25%;
    padding: 16px;
}
/* main > * (tous les élements) */

main h1, main h2, main p{
    max-width: 40vw;
    min-width: 400px;
}

.souligne{
    border-bottom : 1px solid #000
}

.note{ /* positionnement à partir de la marge droite, en négatif (petit hack) */
    float: right; /* cette propriété permet de sortir la note du flux */
    max-width: 200px;
    margin-right: -300px;
}
sup{
    width: 12px;
    height: 12px;
    border-radius:12px;
    background-color: black;
    color: white;
    text-align: center;
    display: inline-block;
    line-height: 12px;
    font-size: 10px;
}
#progression{
 height:10px;
 width: 100%;
 background-color: rgb(83, 13, 235);
 position: fixed;
 top:0;
 left:0;
 z-index: 2;
}